Qt Reference Documentation

# QGraphicsSceneHoverEvent Class Reference

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework. More...

     #include <QGraphicsSceneHoverEvent>

Inherits: QGraphicsSceneEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

| ~QGraphicsSceneHoverEvent ()
QPointF | lastPos () const
QPointF | lastScenePos () const
QPoint | lastScreenPos () const
Qt::KeyboardModifiers | modifiers () const
QPointF | pos () const
QPointF | scenePos () const
QPoint | screenPos () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework.

When a QGraphicsView receives a QHoverEvent event, it translates it into QGraphicsSceneHoverEvent. The event is then forwarded to the QGraphicsScene associated with the view.

See also QGraphicsSceneMouseEvent, QGraphicsSceneContextMenuEvent, QGraphicsSceneWheelEvent, and QHoverEvent.

## Member Function Documentation

### QGraphicsSceneHoverEvent::~QGraphicsSceneHoverEvent ()

Destroys the event.

### QPointF QGraphicsSceneHoverEvent::lastPos () const

Returns the last recorded mouse cursor position in item coordinates.

This function was introduced in Qt 4.4.

See also lastScenePos(), lastScreenPos(), and pos().

### QPointF QGraphicsSceneHoverEvent::lastScenePos () const

Returns the last recorded, the scene coordinates of the previous mouse or hover event received by the view, that created the event mouse cursor position in scene coordinates.

This function was introduced in Qt 4.4.

See also lastPos(), lastScreenPos(), and scenePos().

### QPoint QGraphicsSceneHoverEvent::lastScreenPos () const

Returns the last recorded mouse cursor position in screen coordinates. The last recorded position is the position of the previous mouse or hover event received by the view that created the event.

This function was introduced in Qt 4.4.

See also lastPos(), lastScenePos(), and screenPos().

### Qt::KeyboardModifiers QGraphicsSceneHoverEvent::modifiers () const

Returns the keyboard modifiers at the moment the hover event was sent.

This function was introduced in Qt 4.4.

### QPointF QGraphicsSceneHoverEvent::pos () const

Returns the position of the mouse cursor in item coordinates at the moment the hover event was sent.

See also scenePos() and screenPos().

### QPointF QGraphicsSceneHoverEvent::scenePos () const

Returns the position of the mouse cursor in scene coordinates at the moment the hover event was sent.

See also pos() and screenPos().

### QPoint QGraphicsSceneHoverEvent::screenPos () const

Returns the position of the mouse cursor in screen coordinates at the moment the hover event was sent.

See also pos() and scenePos().